#include "factory.h"

#include <search/config/virthost.h>

TSimpleSharedPtr<ICustomCgi> NRTYServer::IExternalSearchCreator::CreateMetaCgi(const TRequestParams& /*rp*/, const TRTYServerConfig& /*globalConfig*/) const {
    return nullptr;
}

TCgiFilterOptions NRTYServer::IExternalSearchCreator::CreateMetaCgiFilter() const {
    return {};
}

TIndexFileEntries NRTYServer::IExternalSearchCreator::GetLockedIndexFiles() const {
    return TIndexFileEntries();
}

TIndexFileEntries NRTYServer::IExternalSearchCreator::GetPrefetchedIndexFiles() const {
    return TIndexFileEntries();
}

NRTYServer::EUrlIdSource NRTYServer::IExternalSearchCreator::GetUrlIdSource() const {
    return EUrlIdSource::External;
}
